コンテンツにスキップ

インシデント更新

PUT
/api/v1/incidents/{id}

インシデントの title / cause を更新する。write スコープが必要。 resolved 済みのインシデントは更新不可。少なくとも1つのフィールドが必要。

id
required
string
object
title
string
>= 1 characters <= 200 characters
cause
string
<= 5000 characters

更新成功

object
incident
object
id
string
monitorId
string | null
teamId
string
type
string
Allowed values: auto manual change warning
status
string
Allowed values: ongoing resolved acknowledged
title
string | null
startedAt
string format: date-time
resolvedAt
string | null format: date-time
cause
string | null
createdAt
string format: date-time

バリデーションエラー / resolved 済みのインシデント

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

未認証

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

インシデントが見つからない

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400